/*
 * RECT.cs
 * Copyright (c) 2008-2009 kbinani
 *
 * This file is part of Boare.Lib.Swf.
 *
 * Boare.Lib.Swf is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * Boare.Lib.Swf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
using System;

namespace Boare.Lib.Swf{

    public struct RECT{
        
        private int m_xmin;
        private int m_xmax;
        private int m_ymin;
        private int m_ymax;

        private int Xmin {
            get {
                return m_xmin;
            }
            set {
                m_xmin = value;
            }
        }

        private int Xmax {
            get {
                return m_xmax;
            }
            set {
                m_xmax = value;
            }
        }

        private int Ymin {
            get {
                return m_ymin;
            }
            set {
                m_ymin = value;
            }
        }

        private int Ymax {
            get {
                return m_ymax;
            }
            set {
                m_ymax = value;
            }
        }

    }

}